Subject: Re: bug#44565: 27.1; global-cedet-m3-minor-mode does not exist anymore. Remove from documentation?

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 Nov 2020 11:02:35 +0100

Vladimir Nikishkin <[email-masked]> writes:

> If you type C-h d global-cedet-m3-minor-mode RET ,
> you will find that this "global minor mode" is listed as a potential
> component of semantic.
>
> However, if you grep Emacs' source directory for this string, you will
> find that it does not exist anywhere else.
>
> Shall the mention be removed?

I tried googling for the mode to see whether it had been removed at some
point, or whether it was an out-of-tree addition that's also mentioned
in-tree.  I did find some instances of

  (add-to-list 'semantic-default-submodes 'global-cedet-m3-minor-mode t) ;;

which seems like the correct way to handle this, if it's the latter.

So I've now removed the mode from the in-tree CEDET in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no